#!/bin/bash

ME="waldek"
LOCALHOME="/home/"

echo "setting up $ME"
HOME=$LOCALHOME$ME
apt update && apt install -y zsh git tig tmux vim-nox htop
su $ME -c "echo $(whoami)"
su $ME -c "cd $HOME"
su $ME -c "git clone git://github.com/robbyrussell/oh-my-zsh.git $HOME/.oh-my-zsh"
su $ME -c "cp $HOME/.oh-my-zsh/templates/zshrc.zsh-template $HOME/.zshrc"
chsh -s /bin/zsh $ME
su $ME -c "mkdir $HOME/sources"
su $ME -c "git clone https://gitea.86thumbs.net/waldek/vimrc.git $HOME/sources/vimrc"
su $ME -c "cd $HOME"
su $ME -c "ln -s $HOME/sources/vimrc/main.vimrc $HOME/.vimrc"
su $ME -c "git clone https://github.com/VundleVim/Vundle.vim.git $HOME/.vim/bundle/Vundle.vim"
su $ME -c "vim +VundleInstall +qall"
